import { ReactNode, useState } from "react";
import GlobalStateContext from "./GlobalStateContext";



const GlobalStateProvider = ({ children }: { children: ReactNode }) => {
  const [isAuthenticate, setIsAuthenticate] = useState<boolean>(true);
  const [isBarLoading, setIsBarLoading] = useState<boolean>(false); // ✅ Fixed typo

 

  return (
    <GlobalStateContext.Provider value={{
      isAuthenticate,
      setIsAuthenticate,
      isBarLoading,
      setIsBarLoading, // ✅ Fixed typo
    }}>
      {children}
    </GlobalStateContext.Provider>
  );
};

export default GlobalStateProvider;
